Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.serialization.xml
Class XMLWriter

    java.lang.Object
      |
      +--org.w3c.tools.resources.serialization.xml.XMLWriter

Direct Known Subclasses:
  XMLDescrWriter, XMLResourceWriter

public class XMLWriter
extends java.lang.Object
implements JigXML

Field Summary
`protected int` | `level`
`protected java.io.Writer` | `writer`

Fields inherited from interface org.w3c.tools.resources.serialization.xml.JigXML
`ARRAY_TAG, ATTRIBUTE_TAG, CHILD_TAG, CHILDREN_TAG, CLASS_ATTR, DESCR_TAG, dtd, FLAG_ATTR, iARRAY_TAG, iATTRIBUTE_TAG, iCHILD_TAG, iCHILDREN_TAG, iCLASS_ATTR, iDESCR_TAG, idtd, iFLAG_ATTR, iIMPLEMENTS_TAG, iINHERIT_TAG, iJXML_TAG, iLENGTH_ATTR, IMPLEMENTS_TAG, iNAME_ATTR, INHERIT_TAG, ins, iNULL, iRESARRAY_TAG, iRESOURCE_TAG, iVALUE_TAG, iversion, JXML_TAG, LENGTH_ATTR, NAME_ATTR, ns, NULL, RESARRAY_TAG, RESOURCE_TAG, VALUE_TAG, version`

Constructor Summary
`XMLWriter(java.io.Writer writer)`

Method Summary
`protected void` | `closeDocument()`
`protected void` | `closeResource()`
`static java.lang.String` | `encode(java.lang.String string)` & => & < => <
`protected void` | `indent()`
`protected void` | `startDocument()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### writer

    protected java.io.Writer writer

### level

    protected int level

Constructor Detail

### XMLWriter

    public XMLWriter(java.io.Writer writer)

Method Detail

### indent

    protected void indent()
                   throws java.io.IOException

### startDocument

    protected void startDocument()
                          throws java.io.IOException

### closeDocument

    protected void closeDocument()
                          throws java.io.IOException

### closeResource

    protected void closeResource()
                          throws java.io.IOException

### encode

    public static java.lang.String encode(java.lang.String string)

  & => & < => <

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD